<?php
// @codingStandardsIgnoreStart
error_reporting(0);
require_once('api/Simpla.php');
$simpla = new Simpla();
?>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf8" />
  <meta http-equiv="Content-Language" content="ru" />
  <title>Установка ROI.Stat</title>
</head>
<style>
  h1{font-size:26px; font-weight:normal}
  p{font-size:19px;}
  input{font-size:18px;}
  td{padding-right:15px;font-size:18px; font-family:tahoma, verdana;}
  p.error{color:red;}
  div.maindiv{width: 700px; height: 300px; position: relative; left: 50%; top: 100px; margin-left: -300px; }
</style>
<body>
<div style='width:100%; height:100%;'> 
  <div class="maindiv">
    <h1>Установка ROI.Stat для Simpla CMS</h1>
    <?PHP  install(); ?>
  </div>
</div>

<?php
	// JS код счетчика
	function js($projectId, $specialchars = true)
	{
		$jsCode =  <<<JS
<script>
(function(w, d, s, h, id) {
    w.roistatProjectId = id; w.roistatHost = h;
    var p = d.location.protocol == "https:" ? "https://" : "http://";
    var u = /^.*roistat_visit=[^;]+(.*)?$/.test(d.cookie) ? "/dist/module.js" : "/api/site/1.0/"+id+"/init";
    var js = d.createElement(s); js.async = 1; js.src = p+h+u; var js2 = d.getElementsByTagName(s)[0]; js2.parentNode.insertBefore(js, js2);
})(window, document, 'script', 'cloud.roistat.com', '<PROJECT_ID>');
</script>
JS;
		
		$jsCode = str_replace("<PROJECT_ID>", $projectId, $jsCode);
		
		if($specialchars)
			$jsCode = htmlspecialchars($jsCode);
	
		return $jsCode; 
	}
	
	function install()
	{
		if(!isset($_GET['step']))
		{
			hello();
		}
		else
		{
			$step = $_GET['step'];
			switch($step)
			{
				case '2':
					test_server(); break;
				case '3':
					copy_script(); break;
				case '4':
					create_config(); break;
				case '5':
					update_CartView(); break;
				case '6':
					update_OrderAdmin(); break;
				case '7':
					update_ordertpl(); break;
				case '8':
					alter_table(); break;
				case '9':
					install_js(); break;
				case '10':
					final_step(); break;
				case '11':
					final_step(); break;
				default:		 
					hello();
			} 
		}
	}
	
	function hello()
	{
		if (!is_install())
		{
			print "<p>Если во время установки у вас возникнут какие-то сложности или вопросы, напишите нам на эл. почту <a href='mailto:info@roistat.com?subject=Запрос%20на%20интеграцию%20с%20системой'>info@roistat.com</a></p>
				   <form action='roistatinstall.php?step=2' method='post'>Шаг 1 из 10 <input type=submit value=Далее></form>";
		}
		else
		{
			change();
		}
	}
	
	function test_server()
	{
		$current_dir = dirname(__FILE__);
		@mkdir($current_dir."/test", 0777) or die("Не могу создать директорию. Установите права доступа 0777 к папке <code>$current_dir</code>");
		@chmod($current_dir."/test", 0777) or die("Не могу установить права на директорию. Отключите безопасный режим PHP.");

		$tf=@fopen($current_dir."/test/test.txt", 'w') or die("Не могу создать файл. Установите права доступа 0777 к папке $current_dir. Если это не поможет, отключите безопаный режим PHP.");
		@fclose($tf);
		@chmod($current_dir."/test/test.txt", 0777) or die("Не могу изменить права доступа к файлу. Установите права доступа 0777 к папке $current_dir. Если это не поможет, отключите безопаный режим PHP.");

		@unlink($current_dir."/test/test.txt") or die("Не могу удалить файл. Установите права доступа 0777 к папке $current_dir. Если это не поможет, отключите безопаный режим PHP.");

		@rmdir($current_dir."/test") or die("Не могу удалить директорию. Установите права доступа 0777 к папке $current_dir. Если это не поможет, отключите безопаный режим PHP.");

		print <<<HEREDOC
				<p>
					Проверка прошла успешно, можно приступить к установке модуля статистики ROIstat для Simpla CMS.
				</p>
				<p>
					Если мастер не сможет выполнить установку автоматически, вам неоходимо будет выполнить некоторые действия вручную следуя инструкции.
				</p>
				<form action='roistatinstall.php?step=3' method='post'>Шаг 2 из 10 <input type=submit value=Далее></form>
HEREDOC;
	}
	
	function copy_script()
	{
		print "<p>Копирование скрипта.</p>";

		$current_dir = dirname(__FILE__);		
		if(!copy($current_dir . '/roistatinstall/roistat.php', $current_dir . '/roistat.php'))
		{
			print "<p>Не удалось скопировать <b>roistat.php</b>.</p>";
		}
		else
		{
			print "<p>Скрипт успешно скопирован, можно продолжать.</p>";			
		}
		print "<form action='roistatinstall.php?step=4' method='post'>Шаг 3 из 10 <input type=submit value=Далее></form>";
	}
	
	function create_config()
	{
		print "<p>Ограничение доступа к экспорту информации</p>
			   <p>Для того чтобы ограничить доступ к экспорту информации о заказах, вы можете установить имя пользователя и пароль для доступа. <i>Этот шаг является необязательным, и его можно пропустить, оставив поля формы пустыми и нажав кнопку 'Далее'.</i></p>";
		
		$error = '';
		$form = true;
		if($_SERVER['REQUEST_METHOD'] == 'POST')
		{
			$username = (array_key_exists('username', $_POST)) ? $_POST['username'] : null;
			$password = (array_key_exists('password', $_POST)) ? $_POST['password'] : null;
		
			if(empty($username))
			{
				$error = 'Укажите имя пользователя';
			}
			elseif(empty($password))
			{
				$error = 'Укажите пароль';
			}
			
			if(empty($error))
			{
				// Запись файл с логином и паролем
				$file = "<?php\n";
				$file .= "return array('user' => '{$username}', 'password' => '{$password}');\n";
			
				$cf = fopen('config/roistat.php', 'w');
				fwrite($cf, $file);
				fclose($cf);
				
				// Скрываем форму, и говорим о том что можно продолжить
				$form = false;
				print "<p style='color: green;'>Данные сохранены и файл конфигураций создан, нажмите кнопку 'Далее'.</p>";
			}
		}
		
		if(!empty($error))
		{
			print "<p style='color: red;'>{$error}</p>";
		}

		if($form)
		{
			print <<<HEREDOC
					<p>
						<form method=post>
							<table>
								<tr>
									<td>Имя пользователя</td>
									<td><input type=text name=username></td>
								</tr>
								<tr>
									<td>Пароль</td>
									<td><input type=text name=password></td>
								</tr>
								<tr>
									<td></td>
									<td><input type=submit value=Сохранить></td>
								</tr>
							</table>
						</form>
					</p>
					<br>
HEREDOC;
		}
		print "<form action='roistatinstall.php?step=5' method='post'>Шаг 4 из 10 <input type=submit value=Далее></form>";		
		exit();
	}
	
	function update_CartView()
	{
		$current_dir = dirname(__FILE__);
		$in_engine = md5_file($current_dir . '/view/CartView.php');
		$in_archive = md5_file($current_dir . '/roistatinstall/old/CartView.php');
		
		if(!is_writable('config/config.php'))
		{
			print "Поставьте права на запись для файла view/CartView.php";
		}
		
		if($in_engine == $in_archive)
		{
			if(!is_writable('view/CartView.php'))
			{
				print "Поставьте права на запись для файла view/CartView.php";
			}
			else
			{
				$file = file_get_contents('roistatinstall/new/CartView.php');
				$cf = fopen('view/CartView.php', 'w');
				fwrite($cf, $file);
				fclose($cf);
				
				print '<p>Обновление файла view/CartView.php произведено успешно.</p>';
			}
		}
		else
		{
			print <<<HEREDOC
					<p>
						Файл <i>view/CartView.php</i> в вашей Simpla CMS нестандартный или не версии 2.2
					</p>
					<p>
						Для того чтоб продолжить установку, вам необходимо вручную внести изменения в <i>view/CartView.php</i> следуя простой инструкции ниже.
					</p>	
					<p>
						Откройте через FTP или редактор директорию в которой у вас установлена Simpla, перейдите в директорию <i>view</i>, файл <i>CartView.php</i><br><br> Примерно в 53й строке вы увидите похожий код:<br>
					</p>	
					<blockquote>
						\$order->address     = \$this->request->post('address');<br>
						\$order->phone       = \$this->request->post('phone');<br>
						\$order->comment     = \$this->request->post('comment');<br>
						\$order->ip      	 =  \$_SERVER['REMOTE_ADDR'];<br>
					</blockquote>
					<p>
						Впишите на следующую строку:
					</p>
					<blockquote>
						\$order->roistat_visit = ( ! empty(\$_COOKIE['roistat_visit'])) ? \$_COOKIE['roistat_visit'] : null;
					</blockquote>
					<p>
						Получится:
					</p>
					<blockquote>
						\$order->address     = \$this->request->post('address');<br>
						\$order->phone       = \$this->request->post('phone');<br>
						\$order->comment     = \$this->request->post('comment');<br>
						\$order->ip      	= \$_SERVER['REMOTE_ADDR'];<br>
						\$order->roistat_visit = ( ! empty(\$_COOKIE['roistat_visit'])) ? \$_COOKIE['roistat_visit'] : null;<br>
					</blockquote>
					<p>
						Сохраните изменения и можно переходить к следующему шагу.
					</p>
HEREDOC;
		}
		
		print "<form action='roistatinstall.php?step=6' method='post'>Шаг 5 из 10 <input type=submit value=Далее></form>";
	}
	
	function update_OrderAdmin()
	{
		$current_dir = dirname(__FILE__);
		$in_engine = md5_file($current_dir . '/simpla/OrderAdmin.php');
		$in_archive = md5_file($current_dir . '/roistatinstall/old/OrderAdmin.php');
		
		if(!is_writable('simpla/OrderAdmin.php'))
		{
			print "Поставьте права на запись для файла simpla/OrderAdmin.php";
		}
		
		if($in_engine == $in_archive)
		{
			if(!is_writable('simpla/OrderAdmin.php'))
			{
				print "Поставьте права на запись для файла simpla/OrderAdmin.php";
			}
			else
			{
				$file = file_get_contents('roistatinstall/new/OrderAdmin.php');
				$cf = fopen('simpla/OrderAdmin.php', 'w');
				fwrite($cf, $file);
				fclose($cf);
				
				print '<p>Обновление файла simpla/OrderAdmin.php произведено успешно.</p>';
			}
		}
		else
		{
			print <<<HEREDOC
					<p>
						Файл <i>simpla/OrderAdmin.php</i> в вашей Simpla CMS нестандартный или не версии 2.2
					</p>
					<p>
						Для того чтоб продолжить установку, вам необходимо вручную внести изменения в <i>simpla/OrderAdmin.php</i> следуя простой инструкции ниже.
					</p>
					<p>
						Откройте через FTP или редактор директорию в которой у вас установлена Simpla, перейдите в директорию <i>simpla</i>, файл <i>OrderAdmin.php</i><br><br> Примерно c 14й до 28й строки вы увидите похожий код:<br>
					</p>
					<blockquote>
						\$order->delivery_price = \$this->request->post('delivery_price', 'float');<br>
						\$order->payment_method_id = \$this->request->post('payment_method_id', 'integer');<br>
						\$order->paid = \$this->request->post('paid', 'integer');<br>
						\$order->user_id = \$this->request->post('user_id', 'integer');<br>
						\$order->separate_delivery = \$this->request->post('separate_delivery', 'integer');<br>
					</blockquote>
					<p>
						Допишите на следующую строку код:
					</p>
					<blockquote>
						\$order->roistat_visit = \$this->request->post('roistat_visit');
					</blockquote>			
					<p>
						Опустите ниже, до 184й + строки, вы увидите блок кода:
					</p>
					<blockquote>
						if(empty(\$order->phone))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->phone = \$this->request->get('phone', 'string');<br>
						if(empty(\$order->name))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->name = \$this->request->get('name', 'string');<br>
						if(empty(\$order->address))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->address = \$this->request->get('address', 'string');<br>
						if(empty(\$order->email))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->email = \$this->request->get('email', 'string');<br>
					</blockquote>
					<p>Добавьте следующую строку кода ниже:</p>
					<blockquote>
					if(empty(\$order->roistat_visit))<br>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->roistat_visit = \$this->request->get('roistat_visit', 'string');
					</blockquote>
					Получится примерно так:
					<blockquote>
						if(empty(\$order->phone))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->phone = \$this->request->get('phone', 'string');<br>
						if(empty(\$order->name))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->name = \$this->request->get('name', 'string');<br>
						if(empty(\$order->address))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->address = \$this->request->get('address', 'string');<br>
						if(empty(\$order->email))<br>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->email = \$this->request->get('email', 'string');<br>
					if(empty(\$order->roistat_visit))<br>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\$order->roistat_visit = \$this->request->get('roistat_visit', 'string');
					</blockquote>
					<p>
						Сохраните изменения и можно переходить к следующему шагу.
					</p>
HEREDOC;
		}
		
		print "<form action='roistatinstall.php?step=7' method='post'>Шаг 5 из 10 <input type=submit value=Далее></form>";	
	}
	
	function update_ordertpl()
	{
		$current_dir = dirname(__FILE__);
		$in_engine = md5_file($current_dir . '/simpla/design/html/order.tpl');
		$in_archive = md5_file($current_dir . '/roistatinstall/old/order.tpl');
		
		if(!is_writable('simpla/design/html/order.tpl'))
		{
			print "Поставьте права на запись для файла simpla/design/html/order.tpl";
		}
		
		if($in_engine == $in_archive)
		{
			if(!is_writable('simpla/design/html/order.tpl'))
			{
				print "Поставьте права на запись для файла simpla/design/html/order.tpl";
			}
			else
			{
				$file = file_get_contents('roistatinstall/new/order.tpl');
				$cf = fopen('simpla/design/html/order.tpl', 'w');
				fwrite($cf, $file);
				fclose($cf);
				
				print '<p>Обновление файла simpla/design/html/order.tpl произведено успешно.</p>';
			}
		}
		else
		{
			print <<<HEREDOC
					<p>
						Файл <i>simpla/design/html/order.tpl</i> в вашей Simpla CMS нестандартный или не версии 2.2
					</p>
					<p>
						Для того чтоб продолжить установку, вам необходимо вручную внести изменения в <i>simpla/design/html/order.tpl</i> следуя простой инструкции ниже.
					</p>
					<p>
						Откройте через FTP или редактор директорию в которой у вас установлена Simpla, перейдите в директорию <i>simpla/design/html/</i>, файл <i>order.tpl</i><br><br> Примерно c 362й + строке вы увидите код:<br>
					</p>
					<blockquote>{if&nbsp;\$payment_method}<br/>
					<font color="#009900">&lt;<font color="#000000">div</font>&nbsp;<font color="#000066">class</font><font color="#66cc66">=</font><font color="#ff0000">&quot;subtotal&nbsp;layer&quot;</font>&gt;</font><br/>
					К&nbsp;оплате<font color="#009900">&lt;<font color="#000000">b</font>&gt;</font>&nbsp;{\$order-&gt;total_price|convert:\$payment_currency-&gt;id}&nbsp;{\$payment_currency-&gt;sign}<font color="#009900">&lt;<font color="#66cc66">/</font><font color="#000000">b</font>&gt;</font><br/>
					<font color="#009900">&lt;<font color="#66cc66">/</font><font color="#000000">div</font>&gt;</font><br/>
					{/if}</blockquote>
					<p>
						Допишите ниже этот код:
					</p>
					<blockquote><font color="#009900">&lt;<font color="#000000">br</font>&gt;</font><br/>
					<font color="#009900">&lt;<font color="#000000">div</font>&nbsp;<font color="#000066">class</font><font color="#66cc66">=</font><font color="#ff0000">&quot;block&nbsp;layer&quot;</font>&gt;</font><br/>
					<font color="#009900">&lt;<font color="#000000">h2</font>&gt;</font>Индефикатор&nbsp;пользователя&nbsp;ROIstat<font color="#009900">&lt;<font color="#66cc66">/</font><font color="#000000">h2</font>&gt;</font><br/>
					<font color="#009900">&lt;<font color="#000000">input</font>&nbsp;<font color="#000066">type</font><font color="#66cc66">=</font><font color="#000066">text</font>&nbsp;<font color="#000066">name</font><font color="#66cc66">=</font>roistat_visit&nbsp;<font color="#000066">value</font><font color="#66cc66">=</font><font color="#ff0000">&quot;{\$order-&gt;</font></font>roistat_visit}&quot;&gt;<br/>
					<font color="#009900">&lt;<font color="#66cc66">/</font><font color="#000000">div</font>&gt;</font></blockquote>
					<p>
						Сохраните изменения и можно переходить к следующему шагу.
					</p>
HEREDOC;
		}
		print "<form action='roistatinstall.php?step=8' method='post'>Шаг 7 из 10 <input type=submit value=Далее></form>";		
	}
	
	function alter_table()
	{
		global $simpla;
		
		$query = $simpla->db->placehold("ALTER TABLE __orders ADD `roistat_visit` VARCHAR( 255 ) NOT NULL;");
		$query = $simpla->db->query($query);
		
		if($query)
		{
			print "<p>Поле roistat_visit успешно добавлено в таблицу _orders</p>";
		}
		else
		{
			print <<<HEREDOC
					<p style='color: red;'>
						Во время создания нового поля roistat_visit в таблице _orders произошла ошибка.
					</p>
					<p>
						Вам необходимо создать поле вручную. Для этого откройте менеджер базы данных (PhpMyAdmin) и в левой колонке выберите имя базы данных в которую у вас установлена Simpla CMS, справа в верхней части экрана, в панели выберете пункт 'SQL' и выполните команду <b>ALTER TABLE _orders ADD `roistat_visit` VARCHAR( 255 ) NOT NULL;</b><br><br> <b style='color: red;'>Важно</b>: У вас скорее всего используется префикс в именах таблиц, вы можете посмотреть в левой колонке, как пример s_orders. В таком случае отредактируйте команду для вида <i>ALTER TABLE <b>s_orders</b></i></span>
					</p>
					<p>
						После выполнения этого пункта, нажмите кнопку 'Далее'
					</p>
HEREDOC;
		}
		print "<form action='roistatinstall.php?step=9' method='post'>Шаг 8 из 10 <input type=submit value=Далее></form>";	
	}
	
	function install_js()
	{		
		$projectId = (array_key_exists('id', $_POST)) ? $_POST['id'] : null;
			
		if($_SERVER['REQUEST_METHOD'] == 'POST' AND intval($projectId) > 0)
		{
			$jsCode = js($projectId);
		
			print <<<HEREDOC
			<p>
				Зайдите в панель администратора и перейдите в раздел 'Дизайн'. Выберете текущую тему и нажмите на скриншоте макета. Перед вами откроется редактор с кодом, откройте файл 'index.tpl', и в верхней части страницы разместите код который вы видите ниже, нажмите кнопку сохранить.
			</p>
			Не тот ID? <a href='/roistatinstall.php?step=9'>Нажмите сюда</a>.
			<textarea onfocus='this.select()' style='width: 100%; height: 100px;'>{$jsCode}</textarea>
			<p>
				После установки кода, нажмите кнопку 'Далее'.
			</p>
			<p>
				<form action='roistatinstall.php?step=10' method='post'>Шаг 9 из 10 <input type=submit value=Далее></form>
			</p>
HEREDOC;
		}
		else
		{
			print <<<HEREDOC
					<p>
						Для сбора статистики, на каждой странице должен быть установлен код счетчика (аналогично Яндекс Метрике)
					</p>
					<p>
						Для генерации вашего индивидуального кода счетчика, в форме ниже необходимо указать ID вашего проекта. ID проекта вы можете посмотреть в адресной строке браузера, зайдите в личный кабинет roistat и выберите текущий проект, адрес будет вида /project/1 где 1 - это ID
						<form action='' method='POST'>
							<input type='text' name='id'>
							<input type='submit' value='Получить код'>
						</form>
					</p>			
HEREDOC;
			
		}
	}
	
	function final_step()
	{
		// Наличие файла config/roistatinstall_lock.php обозначает успешное прохождение 10/10 этапов установки
		$cf = fopen('config/roistatinstall_lock.php', 'w');
		fclose($cf);

		removeDirectory(dirname(__FILE__) . '/roistatinstall');
		print "<p>Установка завершена, если в дальнейшем вы захотите изменить логин или пароль, повторно запустите файл roistatinstall.php.</p>";		
	}
	
	// Изменить пароль \ Получить код счетчика после установки
	function change()
	{	
		// Изменить пароль \ Получить код счетчика после установки
		if(array_key_exists('q', $_GET) && $_GET['q'] == 'counter')
		{
			if(isset($_POST['id']) AND strlen($_POST['id']) > 0)
			{
				$projectId = $_POST['id'];
				$jsCode = js($projectId);
				
				print "Зайдите в панель администратора и перейдите в раздел 'Дизайн'. Выберете текущую тему и нажмите на скриншоте макета. Перед вами откроется редактор с кодом, откройте файл 'index.tpl', и в верхней части страницы разместите код который вы видите ниже, нажмите кнопку сохранить.<br><br><textarea onfocus='this.select()' style='width: 100%; height: 100px;'>{$jsCode}</textarea><br><a href='/roistatinstall.php?q=counter'>Назад</a>";
			}
			else
			{
				print <<<HEREDOC
					<p>Для того чтоб получить код счетчика, укажите ID проекта. Для того чтоб узнать нужный ID, зайдите в панель управления ROI.Stat и выберите нужный проект. В адресной строке браузеры, будет адрес вида '/project/1'. Где 1 = ID проекта.</p>
					<form method=post>
						<table>
							<tr>
								<td align=right>ID</td>
								<td><input type='text' name='id'></td>
							</tr>
							<tr>
								<td></td>
								<td><input type='submit' value='Получить код'> или <a href='/roistatinstall.php'>назад</a></td>
							</tr>
						</table>
					</form>	
HEREDOC;
			}
		}
		
		// Изменить пароль
		elseif(array_key_exists('q', $_GET) && $_GET['q'] == 'password')
		{
			if((isset($_POST['username'])) OR (isset($_POST['password'])))
			{
				// Запись файл с логином и паролем
				$file = "<?php\n";
				$file .= "return array('user' => '{$_POST['username']}', 'password' => '{$_POST['password']}');\n";
			
				$cf = fopen('config/roistat.php', 'w');
				fwrite($cf, $file);
				fclose($cf);
			
				print "<p style='color: green;'>Изменения сохранены, не забудьте обновить данные в панели управления сервиса</p>";
			}
			else
			{
				print <<<HEREDOC
						<p>
							Укажите новое имя пользователя и пароль, поля можно оставить пустыми.
						</p>
						<p>
							<form method=post>
								<table>
									<tr>
										<td align=right>Имя пользователя</td>
										<td><input type=text name=username></td>
									</tr>
									<tr>
										<td align=right>Пароль</td><td>
										<input type=text name=password></td>
									</tr>
									<tr>
										<td></td>
										<td><input type=submit value=Сохранить> или <a href='/roistatinstall.php'>назад</a></td>
									</tr>
								</table>
							</form>					
						</p>
HEREDOC;
			}
		}
		else
		{
			// Меню при повторном запуске после установки
			print "<p><a href='/roistatinstall.php?q=password'>Изменить пароль</a><br><a href='/roistatinstall.php?q=counter'>Получить код счетчика</a><br></p>";	
		}
	}
	
	// Удаляем директорию с установочными файлами
	function removeDirectory($dir)
	{
		if($objs = glob($dir . "/*"))
		{
			foreach($objs as $obj)
			{
				is_dir($obj) ? removeDirectory($obj) : unlink($obj);
			}
		}
		rmdir($dir);
	}
	
	// Модуль уже устанавливался?
	function is_install()
	{
		$current_dir = dirname(__FILE__);
		if (file_exists('config/roistatinstall_lock.php')) 
		{
			return true;
		}
		
		return false;
	}
?>

</body>
</html>
<?php
// @codingStandardsIgnoreEnd